For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get All Deposit Addresses

GET https://api.sfox.com/v1/wallet-addresses

Retrieve a list of crypto addresses for transferring funds to your sFOX account

Response Body

Key
Description

currency

Crypto asset

address

Crypto address to use for deposits

wallet_type

Whether the address is for your trading account or Web3 wallet. Possible values: Sfox Trading Wallet: Your trading account Web3 Wallet: Your Web3 wallet

primary_network

The network supported for sending funds to this address

Responses

200
{
    "addresses": [
        {
            "currency": "eth",
            "address": "<ethereum_address>",
            "wallet_type": "Sfox Trading Wallet",
            "primary_network": "Ethereum"
        },
        {
            "currency": "sol",
            "address": "<solana_address>",
            "wallet_type": "Sfox Trading Wallet",
            "primary_network": "Solana"
        },
        {
            "currency": "btc",
            "address": "<bitcoin_address>",
            "wallet_type": "Sfox Trading Wallet",
            "primary_network": "Bitcoin"
        },
        {
            "currency": "eth",
            "address": "<ethereum_address>",
            "wallet_type": "Web3 Wallet",
            "primary_network": "Ethereum"
        }
    ]
}

Example Requests

curl -H 'Authorization: Bearer <API_TOKEN>' \
https://api.sfox.com/v1/wallet-addresses
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/wallet-addresses',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
import requests

data = requests.get(
  "https://api.sfox.com/v1/wallet-addresses",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)

Last updated